import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class ListenerLiga implements ActionListener {
	static boolean			executa = true;
	static JanelaNovo		fnovo;
	static JanelaJogos		fjogos;
	static JanelaResultados	fresultados;
	static SaveFicheiro		ficheiro;

	public void actionPerformed(ActionEvent e) {
		if (e.getSource().equals(Janela.mLiga1))
			novo();
		else if (e.getSource().equals(Janela.mLiga2))
			try {
				abreFicheiro();
			}
			catch (Exception ex) {
				ex.printStackTrace();
			}
		else if (e.getSource().equals(Janela.mLiga3))
			System.exit(0);
		else if (e.getSource().equals(Janela.mDados1))
			jogos();
		else if (e.getSource().equals(Janela.mDados2))
			resultados();
		else if (e.getSource().equals(Janela.bcorre))
			corre();
		else if (e.getSource().equals(Janela.bpara))
			para();
	}
	
	void abreFicheiro() throws IOException {
		File			fin;
		FileInputStream in;
		int				e;
		
		FileDialog f = new FileDialog(Toto.j, "Ficheiro da liga?", FileDialog.LOAD);
		f.show();
		if (f.getDirectory() != null && f.getFile() != null) {
			Toto.dirLiga = f.getDirectory();
			Toto.fileLiga = f.getFile();
			executa = true;
		}
	}

	void novo() {

		fnovo = new JanelaNovo();
		fnovo.setVisible(true);
	}
	
	void jogos() {

		ficheiro = new SaveFicheiro();
		ficheiro.nEquipas = Toto.nEquipas;

		fjogos = new JanelaJogos();
		fjogos.setVisible(true);
	}
	
	void resultados() {

		ficheiro = new SaveFicheiro();
		ficheiro.nEquipas = Toto.nEquipas;

		fresultados = new JanelaResultados();
		fresultados.setVisible(true);
	}

	void corre() {

		executa = true;
	}

	void para() {

//		Janela.bpara.setEnabled(false);
//		Toto.proc.suspend();
		executa = false;
	}
}
